|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionSpinBox Class Reference

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box. More...

    #include <QStyleOptionSpinBox>

Part of the QtGui module.

Inherits QStyleOptionComplex.

- List of all members, including inherited members

### Properties

- buttonSymbols : const QAbstractSpinBox::ButtonSymbols
- frame : const bool
- percentage : const double
- stepEnabled : const QAbstractSpinBox::StepEnabled

- 2 properties inherited from QStyleOptionComplex
- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionSpinBox ()
- QStyleOptionSpinBox ( const QStyleOptionSpinBox & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionSpinBox class is used to describe the parameters necessary for drawing a spin box.

The QStyleOptionSpinBox is used for drawing QSpinBox and QDateTimeEdit.

## Property Documentation

### buttonSymbols : const QAbstractSpinBox::ButtonSymbols

This property holds the type of button symbols to draw for the spin box.

See also QAbstractSpinBox::ButtonSymbols.

### frame : const bool

This property holds indicates whether whether the spin box has a frame.

### percentage : const double

This property holds the percentage of the spin box.

The percentage is the quotient of the current value divided by the maximum value.

### stepEnabled : const QAbstractSpinBox::StepEnabled

This property holds indicates which buttons of the spin box are enabled.

See also QAbstractSpinBox::StepEnabled.

## Member Function Documentation

### QStyleOptionSpinBox::QStyleOptionSpinBox ()

Constructs a QStyleOptionSpinBox. The members variables are initialized to default values.

### QStyleOptionSpinBox::QStyleOptionSpinBox ( const QStyleOptionSpinBox & other )